Send_keys method is not waiting for long text to be sent completely in appium


#1

I am automating a mobile application in iOS and in the application i have to send 32000 characters to a text field. It takes more than 10 minutes to send all the 32000 characters. The POST request to send 32000 characters is done and the action is being performed but after like 2 minutes the send_keys() methods throws exception.

Please find the exception below :

Exception Caught: Message: An unknown server-side error occurred while processing the command. Original error: Cannot call proxyCommand without WDA driver active

Can you please help me

Log:

‘2018-09-10 03:46:49,484 22141 INFO init _iterate_test_method_current_san_id_list SAN IDs now current: [‘san25738’]’
‘2018-09-10 03:46:52,496 22141 INFO selenium_driver get_element Element FOUND with locator :: //XCUIElementTypeOther[@name=‘summary-and-description’]’
‘2018-09-10 03:46:53,481 22141 INFO selenium_driver click_element clicked on element :: Summary and Description’
‘2018-09-10 03:46:53,481 22141 INFO selenium_driver click_element Waiting after clicking the element for 0 seconds’
‘2018-09-10 03:46:53,481 22141 INFO selenium_driver wait_for_element Waiting for maximum :: 10 :: seconds for element ‘Summary’ to be visible and clickable’
‘2018-09-10 03:46:56,955 22141 INFO selenium_driver wait_for_element Element ‘Summary’ APPEARED on the web page after :: 3.47 :: seconds’
‘2018-09-10 03:47:00,099 22141 INFO selenium_driver get_element Element FOUND with locator :: //XCUIElementTypeTextField[@name=‘summary-input’]’
‘2018-09-10 03:47:07,575 22141 INFO selenium_driver send_keys Send keys --> :: ‘k$>.\dzjB({%d!Qq?qdP[f1Kq’[email protected]~y8r(W{!76OWs2’*#5[t0g!R’\YK%}|&FIyOxz77b^3n!UA~iUJ;hMRlK/Q&UYUylR\b^oy$H065$dfq;UkNAc=n;E)y=‘J}5{lZ~nU5{v+T0z(#-h,bcZs-6fe8vse{#5|‘Nl;p2ip95c?N`U:yPY’J’Fv}}?rUm{RUvNsK|0jLqTU_C6C$a’EFHH9|F1POzOM+05x#&7CxTwKHkG:;n$6S-5’ on element :: Summary’
‘2018-09-10 03:47:07,575 22141 INFO selenium_driver send_keys Waiting after sending data to the element for 0 seconds’
‘2018-09-10 03:47:12,180 22141 INFO selenium_driver get_element Element FOUND with locator :: //XCUIElementTypeTextView[@name=‘description-input’]’
'2018-09-10 03:48:13,429 22141 ERROR selenium_driver send_keys Exception Caught: Message: An unknown server-side error occurred while processing the command. Original error: Cannot call proxyCommand without WDA driver active

harness.execute_tests(post_results = args.post_results)
File “/auto/home.nas03/tkandan/mob-app-01/devops-infrastructure/test_harness/lib/hal/test_suite_harness/init.py”, line 257, in execute_tests
results = test.run(post_results = post_results)
File “/auto/home.nas03/tkandan/mob-app-01/devops-infrastructure/test_harness/lib/hal/test_base/init.py”, line 294, in run
test_method()
File “e2e-tests/mobile_app/tests/cases/cases_test.py”, line 152, in test__multiple_cases_negative_operations
self.cases.fill_case_details(priority=None, summary=summary, description=description, array=None)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/mobile_lib/pages/cases_page.py”, line 812, in fill_case_details
self.enter_description(description)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/mobile_lib/pages/cases_page.py”, line 306, in enter_description
self.send_keys(locator=self._description_input, data=description, info=“Description”)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/gui_lib/base/core/selenium_driver.py”, line 502, in send_keys
traceback.print_stack()
File “/usr/local/lib/python3.5/traceback.py”, line 184, in print_stack
print_list(extract_stack(f, limit=limit), file=file)
File “/usr/local/lib/python3.5/traceback.py”, line 201, in extract_stack
stack = StackSummary.extract(walk_stack(f), limit=limit)
‘2018-09-10 03:48:13,440 22141 INFO selenium_driver wait_for_element Waiting for maximum :: 10 :: seconds for element ‘Back button’ to be visible and clickable’
'2018-09-10 03:48:13,895 22141 WARNING init run test_method test__multiple_cases_negative_operations exception:
Traceback (most recent call last):
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/gui_lib/base/core/selenium_driver.py”, line 1396, in wait_for_element
element = wait.until(EC.element_to_be_clickable((by_type, locator)))
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/support/wait.py”, line 71, in until
value = method(self._driver)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/support/expected_conditions.py”, line 283, in call
element = visibility_of_element_located(self.locator)(driver)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/support/expected_conditions.py”, line 127, in call
return _element_if_visible(_find_element(driver, self.locator))
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/support/expected_conditions.py”, line 402, in _find_element
raise e
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/support/expected_conditions.py”, line 398, in _find_element
return driver.find_element(*by)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/webdriver.py”, line 221, in find_element
‘value’: value})[‘value’]
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 297, in execute
self.error_handler.check_response(response)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/errorhandler.py”, line 29, in check_response
raise wde
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/errorhandler.py”, line 24, in check_response
super(MobileErrorHandler, self).check_response(response)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/errorhandler.py”, line 194, in check_response
raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: A session is either terminated or not started

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/auto/home.nas03/tkandan/mob-app-01/devops-infrastructure/test_harness/lib/hal/test_base/init.py”, line 294, in run
test_method()
File “e2e-tests/mobile_app/tests/cases/cases_test.py”, line 152, in test__multiple_cases_negative_operations
self.cases.fill_case_details(priority=None, summary=summary, description=description, array=None)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/mobile_lib/pages/cases_page.py”, line 813, in fill_case_details
self.click_back_button()
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/mobile_lib/pages/cases_page.py”, line 374, in click_back_button
self.click_when_ready(locator=self._header_back, info=“Back button”)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/gui_lib/base/core/selenium_driver.py”, line 281, in click_when_ready
timeout=timeout, poll_frequency=poll_frequency)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/gui_lib/base/core/selenium_driver.py”, line 1408, in wait_for_element
self.util.screenshot(info + " Not Appeared")
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/gui_lib/utilities/util.py”, line 68, in screenshot
DS.get_driver().save_screenshot(destination_file)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 906, in save_screenshot
return self.get_screenshot_as_file(filename)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 883, in get_screenshot_as_file
png = self.get_screenshot_as_png()
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 915, in get_screenshot_as_png
return base64.b64decode(self.get_screenshot_as_base64().encode(‘ascii’))
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 925, in get_screenshot_as_base64
return self.execute(Command.SCREENSHOT)[‘value’]
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 297, in execute
self.error_handler.check_response(response)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/errorhandler.py”, line 29, in check_response
raise wde
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/errorhandler.py”, line 24, in check_response
super(MobileErrorHandler, self).check_response(response)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/errorhandler.py”, line 194, in check_response
raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: A session is either terminated or not started


‘2018-09-10 03:48:13,895 22141 INFO mobile_test_base teardown MobileTestBase.teardown()’
'2018-09-10 03:48:14,101 22141 WARNING init run teardown exception:
Traceback (most recent call last):
File “/auto/home.nas03/tkandan/mob-app-01/devops-infrastructure/test_harness/lib/hal/test_base/init.py”, line 334, in run
self.teardown()
File “e2e-tests/mobile_app/tests/cases/cases_test.py”, line 25, in teardown
super().teardown()
File “e2e-tests/mobile_app/tests/base/mobile_test_base.py”, line 130, in teardown
self.login.logout()
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/mobile_lib/pages/login_page.py”, line 251, in logout
self.nav.navigate_to_options()
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/mobile_lib/mobile_base/navigation.py”, line 126, in navigate_to_options
self.click_element(locator=self._options_menu, info=“Options Menu”)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/gui_lib/base/core/selenium_driver.py”, line 244, in click_element
element = self.get_element(locator, locator_type=locator_type)
File “/auto/home.nas03/tkandan/mob-app-01/test-libraries/gui_lib/base/core/selenium_driver.py”, line 1241, in get_element
element = self.driver.find_element_by_xpath(locator)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 354, in find_element_by_xpath
return self.find_element(by=By.XPATH, value=xpath)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/webdriver.py”, line 221, in find_element
‘value’: value})[‘value’]
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py”, line 297, in execute
self.error_handler.check_response(response)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/errorhandler.py”, line 29, in check_response
raise wde
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/appium/webdriver/errorhandler.py”, line 24, in check_response
super(MobileErrorHandler, self).check_response(response)
File “/auto/home.nas03/tkandan/custom_venvs/cfl_tkandan/lib/python3.5/site-packages/selenium/webdriver/remote/errorhandler.py”, line 194, in check_response
raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: A session is either terminated or not started